ru.bitel.bgbilling.modules.tv.runtime

## Class ServiceSpecRuntimeMap

- java.lang.Object
- - ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ServiceSpec,ServiceSpecRuntime>
  - - ru.bitel.bgbilling.modules.tv.runtime.ServiceSpecRuntimeMap

- All Implemented Interfaces:
    EventListener<Event>

      public class ServiceSpecRuntimeMap
      extends ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ServiceSpec,ServiceSpecRuntime>
      implements EventListener<Event>

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ServiceSpecRuntimeMap` | `getInstance(ConnectionSet connectionSet)`
    `protected ServiceSpecRuntime` | `newValue(ServiceSpec value)`
    `void` | `notify(Event e, EventListenerContext ctx)`
    `protected void` | `onUpdate(java.sql.Connection con, int moduleId, java.util.List<ServiceSpec> list)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory

      `get, getRef, init, list, newValue, onUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ServiceSpecRuntimeMap getInstance(ConnectionSet connectionSet)
                                                   throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### newValue

          protected ServiceSpecRuntime newValue(ServiceSpec value)

      Specified by:
        `newValue` in class `ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ServiceSpec,ServiceSpecRuntime>`

    - #### onUpdate

          protected void onUpdate(java.sql.Connection con,
                                  int moduleId,
                                  java.util.List<ServiceSpec> list)
                           throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `onUpdate` in class `ru.bitel.bgbilling.kernel.directory.api.common.ReferenceValueDirectory<ServiceSpec,ServiceSpecRuntime>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### notify

          public void notify(Event e,
                             EventListenerContext ctx)
                      throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `notify` in interface `EventListener<Event>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`